Install yii2 advanced template using composer in windows

By August 2, 2016PHP, YII

The minimum requirement for YII2 is that your Web server supports PHP 5.4.0.

The installation require following steps:

1: If you don’t have composer, download it from https://getcomposer.org/Composer-Setup.exe and execulete in yout root folder like c:\xampp\php\
2: Go to your project folder like c:\xampp\htdocs\yourprojectfolder

        > c:\xampp\htdocs\yourprojectfolder>composer global require "fxp/composer-asset-plugin:^1.2.0"
	> c:\xampp\htdocs\yourprojectfolder>composer create-project --prefer-dist --stability=dev yiisoft/yii2-app-advanced

3. After this run php init command it is just copy files from directory /environments to your project

> c:\xampp\htdocs\yourprojectfolder>php init
Pankaj Singh Sugara

Author Pankaj Singh Sugara

More posts by Pankaj Singh Sugara